XmlArgusReader
Date: 2019-10-22

org.jmol.adapter.readers.xml

## Class XmlArgusReader

- java.lang.Object
- - org.jmol.adapter.smarter.AtomSetCollectionReader
  - - org.jmol.adapter.readers.xml.XmlReader
    - - org.jmol.adapter.readers.xml.XmlArgusReader

- All Implemented Interfaces:
    javajs.api.GenericLineReader

      public class XmlArgusReader
      extends XmlReader

  A crude ArgusLab .agl file Reader - http://www.planaria-software.com/ Use this reader as a template for adding new XML readers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `ATOM`
    `private java.lang.String` | `atomName1`
    `private java.lang.String` | `atomName2`
    `private static int` | `BOND`
    `private int` | `bondOrder`
    `private int` | `elementContext`
    `private static java.lang.String[]` | `keepCharsList`
    `private static int` | `MOLECULE`
    `private int` | `ptTrans`
    `private float[]` | `trans`
    `private static int` | `TRANSFORMMAT`
    `private static int` | `UNSET`

    - ### Fields inherited from class org.jmol.adapter.readers.xml.XmlReader

      `atom, atts, bond, chars, keepChars, parent`

    - ### Fields inherited from class org.jmol.adapter.smarter.AtomSetCollectionReader

      `addedData, addedDataKey, addVibrations, allowPDBFilter, ANGSTROMS_PER_BOHR, applySymmetryToBonds, asc, baseAtomIndex, binaryDoc, bsFilter, bsModels, calculationType, continuing, debugging, desiredModelNumber, desiredSpaceGroupIndex, desiredVibrationNumber, doApplySymmetry, doCentralize, doCheckUnitCell, doConvertToFractional, doPackUnitCell, doProcessLines, doReadMolecularOrbitals, dssr, fileName, fileOffset, filePath, fileScaling, fillRange, filter, filterHetero, fixJavaFloat, forcePacked, getHeader, haveAtomFilter, haveModel, havePartialChargeFilter, htParams, ignoreFileSpaceGroupName, ignoreFileSymmetryOperators, ignoreFileUnitCell, ignoreStructure, iHaveFractionalCoordinates, iHaveSymmetryOperators, iHaveUnitCell, isBinary, isConcatenated, isDSSP1, isFinalized, isMolecular, isPrimitive, isSequential, isTrajectory, latticeCells, latticeScaling, latticeType, line, lstNCS, matUnitCellOrientation, modDim, modelNumber, ms, mustFinalizeModelSet, next, out, packingError, prevline, primitiveToCrystal, ptLine, ptSupercell, reader, readerName, requiresBSFilter, reverseModels, rotateHexCell, sgName, stateScriptVersionInt, strSupercell, symmetry, templateAtomCount, thisBiomolecule, trajectorySteps, unitCellOffset, unitCellParams, useAltNames, useFileModelNumbers, validation, vibrationNumber, vibsFractional, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlArgusReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private int` | `parseBondToken(java.lang.String str)`
    `(package private) void` | `processEndElement(java.lang.String localName)`
    `void` | `processStartElement(java.lang.String localName, java.lang.String nodeName)`

    - ### Methods inherited from class org.jmol.adapter.readers.xml.XmlReader

      `applySymmetryAndSetTrajectory, createDomNodeJS, endDocument, initCML, initializeReader, processDOM, processXml, processXml2, setKeepChars`

    - ### Methods inherited from class org.jmol.adapter.smarter.AtomSetCollectionReader

      `addAtomXYZSymName, addExplicitLatticeVector, addJmolScript, addSites, addSiteScript, appendLoadNote, appendUunitCellInfo, applySymTrajASCR, checkCurrentLineForScript, checkFilterKey, checkLastModel, checkLine, checkLineForScript, clearUnitCell, cloneLastAtomSet, discardLinesUntilBlank, discardLinesUntilContains, discardLinesUntilContains2, discardLinesUntilNonBlank, discardLinesUntilStartsWith, discardPreviousAtoms, doGetModel, doGetVibration, doPreSymmetry, fill3x3, fillDataBlock, fillDataBlockFixed, fillFloatArray, fillFrequencyData, filterAtom, filterReject, finalizeMOData, finalizeModelSet, finalizeReaderASCR, finalizeSubclassReader, finalizeSubclassSymmetry, forceSymmetry, fractionalizeCoordinates, getElementSymbol, getFilter, getFortranFormatLengths, getInterface, getNewSymmetry, getStrings, getSymmetry, getTokens, getTokensFloat, initializeSymmetry, initializeSymmetryOptions, initializeTrajectoryFile, isLastModel, newAtomSet, parseFloat, parseFloatRange, parseFloatStr, parseInt, parseIntAt, parseIntRange, parseIntStr, parseToken, parseTokenNext, parseTokenRange, parseTokenStr, processBinaryDocument, rd, read3Vectors, readDataObject, readLines, readNextLine, rejectAtomName, RL, set2D, setAtomCoord, setAtomCoordScaled, setAtomCoordTokens, setAtomCoordXYZ, setChainID, setElementAndIsotope, setFilter, setFilterAtomTypeStr, setFractionalCoordinates, setIsPDB, setLoadNote, setModelPDB, setSpaceGroupName, setSymmetryOperator, setTransform, setUnitCell, setUnitCellItem, setup, setupASCR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keepCharsList

          private static java.lang.String[] keepCharsList

    - #### atomName1

          private java.lang.String atomName1

    - #### atomName2

          private java.lang.String atomName2

    - #### bondOrder

          private int bondOrder

    - #### elementContext

          private int elementContext

    - #### UNSET

          private static final int UNSET

      See Also:
        Constant Field Values

    - #### MOLECULE

          private static final int MOLECULE

      See Also:
        Constant Field Values

    - #### ATOM

          private static final int ATOM

      See Also:
        Constant Field Values

    - #### BOND

          private static final int BOND

      See Also:
        Constant Field Values

    - #### TRANSFORMMAT

          private static final int TRANSFORMMAT

      See Also:
        Constant Field Values

    - #### trans

          private float[] trans

    - #### ptTrans

          private int ptTrans

  - ### Constructor Detail

    - #### XmlArgusReader

          public XmlArgusReader()

  - ### Method Detail

    - #### processStartElement

          public void processStartElement(java.lang.String localName,
                                          java.lang.String nodeName)

      Overrides:
        `processStartElement` in class `XmlReader`
        `nodeName` - TODO

    - #### parseBondToken

          private int parseBondToken(java.lang.String str)

    - #### processEndElement

          void processEndElement(java.lang.String localName)

      Overrides:
        `processEndElement` in class `XmlReader`